package com.xjrsoft.module.datalog.service;

import java.util.List;

import javax.validation.Valid;

import com.xjrsoft.module.datalog.entity.DataChangeLog;

public interface DatalogService {
	
	public <T>T  insert(T entity);
	
	public <T>List<T>  insertBatch(List<T> entity);
	
	public <T>boolean  updateById(T entity);
	
	public <T>T  delete(T entity);
	
	public <T>T  deleteById(Class<T> klazz,long id);
	
	public <T>List<DataChangeLog>  findByEntityId(Class<T> klazz,long id);

	public <T>boolean deleteByIds(Class<T> class1, @Valid List<Long> ids);

}
